Loading...
Searching...
No Matches
key derivation functions

key derivation functions More...

## Files

file | kdf.h
file | kdf.c

## Functions

void | osmo_kdf_kc128 (const uint8_t *ck, const uint8_t *ik, uint8_t *kc128)
void | osmo_kdf_kasme (const uint8_t *ck, const uint8_t *ik, const uint8_t *plmn_id, const uint8_t *sqn, const uint8_t *ak, uint8_t *kasme)
void | osmo_kdf_enb (const uint8_t *kasme, uint32_t ul_count, uint8_t *kenb)
void | osmo_kdf_nh (const uint8_t *kasme, const uint8_t *sync_input, uint8_t *nh)
void | osmo_kdf_nas (uint8_t algo_type, uint8_t algo_id, const uint8_t *kasme, uint8_t *knas)

## Detailed Description

key derivation functions

## Function Documentation

## osmo_kdf_enb()

void osmo_kdf_enb | ( | const uint8_t * | kasme,
|  | uint32_t | ul_count,
|  | uint8_t * | kenb
| ) |  |

References HMAC_FUNC, and len.

## osmo_kdf_kasme()

void osmo_kdf_kasme | ( | const uint8_t * | ck,
|  | const uint8_t * | ik,
|  | const uint8_t * | plmn_id,
|  | const uint8_t * | sqn,
|  | const uint8_t * | ak,
|  | uint8_t * | kasme
| ) |  |

References HMAC_FUNC, and len.

## osmo_kdf_kc128()

void osmo_kdf_kc128 | ( | const uint8_t * | ck,
|  | const uint8_t * | ik,
|  | uint8_t * | kc128
| ) |  |

References HMAC_FUNC, and len.

## osmo_kdf_nas()

void osmo_kdf_nas | ( | uint8_t | algo_type,
|  | uint8_t | algo_id,
|  | const uint8_t * | kasme,
|  | uint8_t * | knas
| ) |  |

References HMAC_FUNC, and len.

## osmo_kdf_nh()

void osmo_kdf_nh | ( | const uint8_t * | kasme,
|  | const uint8_t * | sync_input,
|  | uint8_t * | nh
| ) |  |

References HMAC_FUNC, and len.